%global debug_package %{nil}

Name:           catch1
Version:        1.12.2
Release:        6
Summary:        A modern, C++-native, header-only, framework for unit-tests, TDD and BDD

License:        Boost
URL:            https://github.com/philsquared/Catch
Source0:        https://github.com/philsquared/Catch/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:         catch1-sigstksz.patch
BuildRequires:  cmake make gcc-c++

%description
Catch stands for C++ Automated Test Cases in Headers and is a
multi-paradigm automated test framework for C++ and Objective-C (and,
maybe, C). It is implemented entirely in a set of header files, but
is packaged up as a single header for extra convenience.


%package        devel
Summary:        Development files for %{name}
Provides:       %{name}-static = %{version}-%{release}
Conflicts:      catch-devel

%description    devel
Catch stands for C++ Automated Test Cases in Headers and is a
multi-paradigm automated test framework for C++ and Objective-C (and,
maybe, C). It is implemented entirely in a set of header files, but
is packaged up as a single header for extra convenience.


%prep
%autosetup -p 1 -n Catch2-%{version}


%build
%cmake . -Bbuild
%make_build -Cbuild


%install
mkdir -p %{buildroot}%{_includedir}
cp -pr include  %{buildroot}%{_includedir}/catch


%check
cd build
ctest -V %{?_smp_mflags}


%files devel
%doc README.md catch-logo-small.png docs
%license LICENSE.txt
%{_includedir}/catch


%changelog
* Tue Aug 10 2021 wangyue <wangyue92@huawei.com> - 1.12.2-6
- Add patch for non-constant SIGSTKSZ

* Sat Jul 18 2020 sunguoshuai <sunguoshuai@huawei.com> - 1.12.2-5
- Package init
